EndpointsEpisodes
List Game episodes
GET
/v2/games/{game_id}/episodesReturns visible recorded episodes across every Coworld version attached to the Game.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
game_id*Game Id
Game whose recorded episodes will be listed.
Match
^game_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
source*array<>
Return episodes from any of these workflow sources.
Items
1 <= items <= 3created_after?|
Return episodes created at or after this timestamp.
created_before?|
Return episodes created before this timestamp.
limit?Limit
Maximum episodes returned.
Range
1 <= value <= 100Default
50cursor?|
Opaque cursor returned by the previous page.
curl -X GET "https://example.com/v2/games/string/episodes?source=experience-request"{ "entries": [ { "episode_id": "a7b62598-1927-4181-99d5-5d746c0bbcfe", "created_at": "2019-08-24T14:15:22Z", "replay_url": "string", "thumbnail_url": "string", "coworld_id": "string", "coworld_name": "string", "coworld_version": "string", "tags": { "property1": "string", "property2": "string" }, "policies": [ { "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "policy_name": "string", "version": 0, "player_id": "string", "num_agents": 0 } ], "results": null, "attributes": {} } ], "next_cursor": "string", "limit": 0}